Bug 183067 - emulators/qemu-devel should build on powerpc64
emulators/qemu-devel should build on powerpc64
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Juergen Lock
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 18:40 UTC by Justin Hibbits
Modified: 2013-10-19 23:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits freebsd_committer 2013-10-17 18:40:00 UTC
qemu-devel port excludes powerpc64, but it builds just fine on it.

Fix: 

Add powerpc64 to the ONLY_FOR_ARCH line in the makefile
Comment 1 Edwin Groothuis freebsd_committer 2013-10-18 04:08:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nox

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-10-19 23:07:55 UTC
Author: nox
Date: Sat Oct 19 22:07:48 2013
New Revision: 330945
URL: http://svnweb.freebsd.org/changeset/ports/330945

Log:
  Add powerpc64 to ONLY_FOR_ARCHS.
  
  PR:		ports/183067
  Submitted by:	jhibbits

Modified:
  head/emulators/qemu-devel/Makefile

Modified: head/emulators/qemu-devel/Makefile
==============================================================================
--- head/emulators/qemu-devel/Makefile	Sat Oct 19 21:55:31 2013	(r330944)
+++ head/emulators/qemu-devel/Makefile	Sat Oct 19 22:07:48 2013	(r330945)
@@ -24,7 +24,7 @@ PATCH_STRIP=	-p1
 MAKE_ENV+=	BSD_MAKE="${MAKE}"
 MAN1=		qemu.1 qemu-img.1
 MAN8=		qemu-nbd.8
-ONLY_FOR_ARCHS=	amd64 i386 powerpc # XXX someone wants to debug sparc64 hosts?
+ONLY_FOR_ARCHS=	amd64 i386 powerpc powerpc64 # XXX someone wants to debug sparc64 hosts?
 CONFLICTS_INSTALL=	qemu-[0-9]*
 
 OPTIONS_DEFINE=	SAMBA X11 GTK2 OPENGL GNUTLS SASL JPEG PNG CURL \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Juergen Lock freebsd_committer 2013-10-19 23:08:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!